Subject: bug#75184: Merge haskell-ts-mode to master

From: Yuan Fu <[email-masked]>
Date: Wed, 5 Mar 2025 07:04:15 -0800

> On Mar 1, 2025, at 8:19 PM, Stefan Kangas <[email-masked]> wrote:
> 
> Pranshu Sharma <[email-masked]> writes:
> 
>> Hello all,
>> 
>> This is request to merge haskell-ts-mode to master.  The code is here
>> https://codeberg.org/pranshu/haskell-ts-mode , but I also attacched
>> file.  I suggest you look in codeberg repo for latest changes.
>> 
>> Phillip kauldarlic has done a review of the non-treesit specific part of
>> the code in emacs-devel, *I need someone* to review treesit specific
>> parts of it now.
> 
> Yuan, could you please take a look at this and install it if it looks
> okay?
> 
> Thanks in advance.

Thanks for the ping Stefan. The patch mostly looks good! Since we’re merging it to master, it can take advantage of some new features. For example, it can add some definitions to treesit-thing-settings. Also, it should set treesit-primary-parser.

I also noticed that the source file uses tab indentation. Does Emacs have any policy regarding tab/space indentation for lisp files?

Yuan